Module java.base
Package java.net

# Interface SocketImplFactory

public interface SocketImplFactory
This interface defines a factory for socket implementations. It is used by the classes `Socket` and `ServerSocket` to create actual socket implementations.

Since:
  1.0
See Also:
  `Socket`, `ServerSocket`

## Method Summary

Modifier and Type
Method
Description
`SocketImpl`
`createSocketImpl()`
Creates a new `SocketImpl` instance.

## Method Details

### createSocketImpl

SocketImpl createSocketImpl()
Creates a new `SocketImpl` instance.

Returns:
  a new instance of `SocketImpl`.
See Also:
  `SocketImpl`